﻿using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Migrations.Operations;
using Microsoft.EntityFrameworkCore.Metadata;
using System.Collections.Generic;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations.Internal;
using Microsoft.EntityFrameworkCore.Storage;

namespace IRaCIS.Core.Test
{
    public class NoForeignKeyMigrationsSqlGenerator : MigrationsSqlGenerator
    {
        public NoForeignKeyMigrationsSqlGenerator(
            MigrationsSqlGeneratorDependencies dependencies) : base(dependencies)
        {
        }

        protected override void Generate(MigrationOperation operation, IModel model, MigrationCommandListBuilder builder)
        {
            if (operation is AddForeignKeyOperation || operation is DropForeignKeyOperation)
            {
                // 跳过外键的生成
                return;
            }

            base.Generate(operation, model, builder);
        }
    }

}
